%define	upstream_name	 Module-Signature
%define upstream_version 0.79

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	1

Summary:	Check and create SIGNATURE files for CPAN distributions

License:	Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Digest::SHA1)
BuildRequires:	perl(PAR::Dist)
BuildRequires:	perl(Digest::SHA)
BuildRequires:	perl(IPC::Run)
BuildRequires:	perl-devel
BuildArch:	noarch

%description
This is a perl module to check and create SIGNATURE files
for CPAN distributions.

%prep
%setup -qn %{upstream_name}-%{upstream_version}

%build
perl Makefile.PL INSTALLDIRS=vendor --skipdeps </dev/null
%make

%check
%make test

%install
%makeinstall_std

%files
%doc AUTHORS Changes README
%{_bindir}/*
%{_mandir}/man*/*
%{perl_vendorlib}/Module

%changelog

* Wed Jun 10 2015 Denis Silakov <denis.silakov@rosalab.ru> 0.790.0-1
- (beb3c9a) Drop patch - merged upstream


